﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(2) {New DataColumn("Id"), New DataColumn("Name"), New DataColumn("Status")})
            dt.Rows.Add(1, "John Hammond", "Absent")
            dt.Rows.Add(2, "Mudassar Khan", "Present")
            dt.Rows.Add(3, "Suzanne Mathews", "Absent")
            dt.Rows.Add(4, "Robert Schidner", "Present")
            GridView1.DataSource = dt
            GridView1.DataBind()
            GridView2.DataSource = dt
            GridView2.DataBind()
        End If
    End Sub

    Protected Sub OnRowDataBound(sender As Object, e As GridViewRowEventArgs)
        If e.Row.RowType = DataControlRowType.DataRow Then
            Dim CheckBox1 As CheckBox = TryCast(e.Row.FindControl("CheckBox1"), CheckBox)
            If e.Row.Cells(2).Text = "Absent" Then
                CheckBox1.Enabled = False
            End If
        End If
    End Sub
End Class
