﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataTable dt = new DataTable();
            dt.Columns.AddRange(new DataColumn[3] { new DataColumn("Id"), new DataColumn("Name"), new DataColumn("Status") });
            dt.Rows.Add(1, "John Hammond", "Absent");
            dt.Rows.Add(2, "Mudassar Khan", "Present");
            dt.Rows.Add(3, "Suzanne Mathews", "Absent");
            dt.Rows.Add(4, "Robert Schidner", "Present");
            GridView1.DataSource = dt;
            GridView1.DataBind();
            GridView2.DataSource = dt;
            GridView2.DataBind();
        }
    }

    protected void OnRowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            CheckBox CheckBox1 = (e.Row.FindControl("CheckBox1") as CheckBox);
            if (e.Row.Cells[2].Text == "Absent")
            {
                CheckBox1.Enabled = false;
            }
        }
    }
}